Caching support for improved performance
Status: Closed Start date: 03/07/2013

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.6   

Description

Use a caching system in order to improve performance of views. The caching system would be useful in the following location of the

app:

Reading view

Search results API

Works list view

Associated revisions

Revision 393 - 03/08/2013 09:24 PM - Luke Murphey

Added support for caching. Closes #549.

Revision 393 - 03/08/2013 09:24 PM - Luke Murphey

Added support for caching. Closes #549.

Revision 383 - 03/08/2013 09:24 PM - Luke Murphey

Added support for caching. Closes #549.

History

#1 - 03/07/2013 07:08 AM - Luke Murphey

- Subject changed from Caching support to Caching support for improved performance

Might want to use the Django file-system cache (https://docs.djangoproject.com/en/dev/topics/cache/#filesystem-caching)

#2 - 03/07/2013 07:10 AM - Luke Murphey

Template fragment caching might be a good solution too: https://docs.djangoproject.com/en/dev/topics/cache/#template-fragment-caching

#3 - 03/08/2013 08:30 PM - Luke Murphey

- Status changed from New to In Progress

- Target version changed from 1.0 to 0.6

#4 - 03/08/2013 10:01 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r393.
